Get test dataset count
GET
/testdatasets/countGet count of test datasets for specific project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestDatasetsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestDatasetsApi(config);
const result = await api.getTestDatasetCount({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testdatasets/count?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
_filter |
query | string | No | Stringified filter object |
Response
Section titled “Response”200 — Count of test datasets
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |